Search by PAN
Introduction
This API allows users to search for Employee's State Insurance Corporation (ESIC) records for a specific patron ID and PAN number.
How to call the API
You are required to pass the access token received from the login call to the authorization header of the request.
API Input Guidelines
You need to pass the registration number in the request body and access token received from login in the respective authorization header
Sample Curl
curl --location --request POST 'https://signzy.tech/api/v2/patrons/...patronId.../coas' \
--header 'Content-Type: application/json' \
--header 'Authorization: ...Authorization token...' \
---data '{
"task": "searchByPan",
"essentials": {
"panNumber": "AAECP7093F"
}
}'Input Parameters
PARAMETER NAME | DESCRIPTION |
|---|---|
Authorization | Access Token for authentication and authorization |
Content-Type | Specifies the format of the data sent in the request body |
task | The type of search task to be performed |
essentials | Contains the essential input data |
essentials.panNumber | The pan number to search for in the ESIC database |
Sample Response
{
"essentials": {
"panNumber": "...panNumber..."
},
"id": "...id...",
"patronId": "...patronId...",
"task": "searchByPan",
"result": {
"panNumber": "...panNumber...",
"registeredOffices": [
{
"establishmentName": "...establishmentName...",
"address": "...address...",
"lin": "...lin...",
"splitAddress": {
"district": [
"BANGALORE"
],
"state": [
[
"KARNATAKA",
"KA"
]
],
"city": [
"BANGALORE SOUTH"
],
"pincode": "...pincode...",
"country": [
"IN",
"IND",
"INDIA"
],
"addressLine": "...addressLine..."
}
}
]
}
}Output Parameters
PARAMETER NAME | DESCRIPTION |
|---|---|
essentials | Contains "essentials" key of the request body |
essentials.panNumber | Contains the panNumber for which the details would be fetched |
id | Unique id of user |
patronId | Unique patronId of user |
task | The type of task performed - “searchByPan” |
result | The resulting json object containing search results |
result.panNumber | The PAN number of the searched organization |
result.registeredOffices | An array of registered office addresses for the organization |
result.registeredOffices[index].establishmentName | The name of the establishment |
result.registeredOffices[index].address | The full address of the establishment, including street address, city, state, Pincode, and country |
result.registeredOffices[index].lin | The LIN number associated with the establishment |
result.registeredOffices[index].splitAddress | A JSON object containing the various components of the address |
result.registeredOffices[index].splitAddress.state | An array of states associated with the establishment address |
result.registeredOffices[index].splitAddress.district | An array of districts associated with the establishment address |
result.registeredOffices[index].splitAddress.city | An array of cities associated with the establishment address |
result.registeredOffices[index].splitAddress.pincode | The pincode associated with the establishment address |
result.registeredOffices[index].splitAddress.country | An array of countries associated with the establishment address |
result.registeredOffices[index].splitAddress.addressLine | The street address of the establishment |
Status Codes
CODE | MESSAGE |
|---|---|
200 | OK |
404 | PAN Number not found |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].